> ## Documentation Index
> Fetch the complete documentation index at: https://support.visualcare.com.au/llms.txt
> Use this file to discover all available pages before exploring further.

# Quotes

> Quote records and line items

### GET /quotes

<Warning>
  By default, quote line items are not included.
</Warning>

**Example:** `GET /quotes?fromDate=YYYY-MM-DD&toDate=YYYY-MM-DD&limit=100&includeItems=TRUE`

**Query parameters:**

| Parameter      | Default | Description                                      |
| -------------- | ------- | ------------------------------------------------ |
| `limit`        | 200     | Items per page                                   |
| `fromDate`     | -       | Quotes with date >= value. Format: `YYYY-MM-DD`  |
| `toDate`       | -       | Quotes with date \<= value. Format: `YYYY-MM-DD` |
| `payerId`      | -       | Filter by payer ID                               |
| `clientId`     | -       | Filter by client ID                              |
| `includeItems` | -       | If `TRUE`, returns `QuoteLineItems`              |

**Response fields:**

| Field             | Type    | Notes                                |
| ----------------- | ------- | ------------------------------------ |
| `QuoteId`         | integer |                                      |
| `ClientId`        | integer |                                      |
| `PayerId`         | integer |                                      |
| `FundingTypeId`   | integer |                                      |
| `QuoteStatus`     | string  | for example `"in_progress"`          |
| `Finalised`       | integer | 0/1                                  |
| `DateOfQuote`     | string  | Date                                 |
| `FollowUpDate`    | string  | Date                                 |
| `QuoteTotal`      | integer |                                      |
| `QuoteTotalHours` | integer |                                      |
| `QuoteStart`      | string  | Date                                 |
| `QuoteEnd`        | string  | Date                                 |
| `FirstName`       | string  |                                      |
| `LastName`        | string  |                                      |
| `Address1`        | string  |                                      |
| `Address2`        | string  |                                      |
| `Subrub`          | string  | **Typo in API** - should be `Suburb` |
| `Postcode`        | string  |                                      |
| `State`           | string  |                                      |
| `Phone1`          | string  |                                      |
| `Email`           | string  |                                      |
| `DOB`             | string  | Date                                 |
| `NDISNo`          | string  |                                      |
| `_CreateUser`     | string  |                                      |
| `_UpdateUser`     | string  | Email                                |
| `_UpdateComment`  | string  |                                      |
| `Status`          | string  |                                      |

**QuoteLineItems** (when `includeItems=TRUE`):

| Field           | Type    | Notes                                                          |
| --------------- | ------- | -------------------------------------------------------------- |
| `QuoteItemId`   | integer |                                                                |
| `QuoteId`       | integer |                                                                |
| `LineNo`        | integer |                                                                |
| `ServiceId`     | integer |                                                                |
| `Description`   | string  |                                                                |
| `Price`         | integer |                                                                |
| `Quantity`      | integer |                                                                |
| `TotalQuantity` | integer |                                                                |
| `Total`         | integer |                                                                |
| `Budget`        | integer |                                                                |
| `StartTime`     | string  | Time                                                           |
| `FreqTye`       | string  | **Typo in API** - should be `FreqType`. for example `"weekly"` |
| `FreqQty`       | integer |                                                                |
| `FreqDaysStr`   | string  | for example `"MO;WE;FR"`                                       |
| `FreqDays`      | array   | for example `["MO", "WE", "FR"]`                               |
